---
id: onprem
title: OnPrem
---

Node classes list of onprem provider.

## onprem.analytics

- **diagrams.onprem.analytics.Beam**
- **diagrams.onprem.analytics.Databricks**
- **diagrams.onprem.analytics.Dbt**
- **diagrams.onprem.analytics.Flink**
- **diagrams.onprem.analytics.Hadoop**
- **diagrams.onprem.analytics.Hive**
- **diagrams.onprem.analytics.Metabase**
- **diagrams.onprem.analytics.Norikra**
- **diagrams.onprem.analytics.Singer**
- **diagrams.onprem.analytics.Spark**
- **diagrams.onprem.analytics.Storm**
- **diagrams.onprem.analytics.Tableau**

## onprem.cd

- **diagrams.onprem.cd.Spinnaker**
- **diagrams.onprem.cd.TektonCli**
- **diagrams.onprem.cd.Tekton**

## onprem.ci

- **diagrams.onprem.ci.Circleci**, **CircleCI** (alias)
- **diagrams.onprem.ci.Concourseci**, **ConcourseCI** (alias)
- **diagrams.onprem.ci.Droneci**, **DroneCI** (alias)
- **diagrams.onprem.ci.Gitlabci**, **GitlabCI** (alias)
- **diagrams.onprem.ci.Jenkins**
- **diagrams.onprem.ci.Teamcity**, **TC** (alias)
- **diagrams.onprem.ci.Travisci**, **TravisCI** (alias)
- **diagrams.onprem.ci.Zuulci**, **ZuulCI** (alias)

## onprem.client

- **diagrams.onprem.client.Client**
- **diagrams.onprem.client.User**
- **diagrams.onprem.client.Users**

## onprem.compute

- **diagrams.onprem.compute.Nomad**
- **diagrams.onprem.compute.Server**

## onprem.container

- **diagrams.onprem.container.Docker**
- **diagrams.onprem.container.Rkt**, **RKT** (alias)

## onprem.database

- **diagrams.onprem.database.Cassandra**
- **diagrams.onprem.database.Clickhouse**, **ClickHouse** (alias)
- **diagrams.onprem.database.Cockroachdb**, **CockroachDB** (alias)
- **diagrams.onprem.database.Couchbase**
- **diagrams.onprem.database.Couchdb**, **CouchDB** (alias)
- **diagrams.onprem.database.Dgraph**
- **diagrams.onprem.database.Druid**
- **diagrams.onprem.database.Hbase**, **HBase** (alias)
- **diagrams.onprem.database.Influxdb**, **InfluxDB** (alias)
- **diagrams.onprem.database.Janusgraph**, **JanusGraph** (alias)
- **diagrams.onprem.database.Mariadb**, **MariaDB** (alias)
- **diagrams.onprem.database.Mongodb**, **MongoDB** (alias)
- **diagrams.onprem.database.Mssql**, **MSSQL** (alias)
- **diagrams.onprem.database.Mysql**, **MySQL** (alias)
- **diagrams.onprem.database.Neo4J**
- **diagrams.onprem.database.Oracle**
- **diagrams.onprem.database.Postgresql**, **PostgreSQL** (alias)
- **diagrams.onprem.database.Scylla**

## onprem.etl

- **diagrams.onprem.etl.Embulk**

## onprem.gitops

- **diagrams.onprem.gitops.Argocd**, **ArgoCD** (alias)
- **diagrams.onprem.gitops.Flagger**
- **diagrams.onprem.gitops.Flux**

## onprem.iac

- **diagrams.onprem.iac.Ansible**
- **diagrams.onprem.iac.Atlantis**
- **diagrams.onprem.iac.Awx**
- **diagrams.onprem.iac.Terraform**

## onprem.inmemory

- **diagrams.onprem.inmemory.Aerospike**
- **diagrams.onprem.inmemory.Hazelcast**
- **diagrams.onprem.inmemory.Memcached**
- **diagrams.onprem.inmemory.Redis**

## onprem.logging

- **diagrams.onprem.logging.Fluentbit**, **FluentBit** (alias)
- **diagrams.onprem.logging.Fluentd**
- **diagrams.onprem.logging.Graylog**
- **diagrams.onprem.logging.Loki**
- **diagrams.onprem.logging.Rsyslog**, **RSyslog** (alias)
- **diagrams.onprem.logging.SyslogNg**

## onprem.mlops

- **diagrams.onprem.mlops.Polyaxon**

## onprem.monitoring

- **diagrams.onprem.monitoring.Datadog**
- **diagrams.onprem.monitoring.Grafana**
- **diagrams.onprem.monitoring.PrometheusOperator**
- **diagrams.onprem.monitoring.Prometheus**
- **diagrams.onprem.monitoring.Sentry**
- **diagrams.onprem.monitoring.Splunk**
- **diagrams.onprem.monitoring.Thanos**

## onprem.network

- **diagrams.onprem.network.Apache**
- **diagrams.onprem.network.Caddy**
- **diagrams.onprem.network.Consul**
- **diagrams.onprem.network.Envoy**
- **diagrams.onprem.network.Etcd**, **ETCD** (alias)
- **diagrams.onprem.network.Haproxy**, **HAProxy** (alias)
- **diagrams.onprem.network.Internet**
- **diagrams.onprem.network.Istio**
- **diagrams.onprem.network.Kong**
- **diagrams.onprem.network.Linkerd**
- **diagrams.onprem.network.Nginx**
- **diagrams.onprem.network.Pfsense**, **PFSense** (alias)
- **diagrams.onprem.network.Pomerium**
- **diagrams.onprem.network.Tomcat**
- **diagrams.onprem.network.Traefik**
- **diagrams.onprem.network.Vyos**, **VyOS** (alias)
- **diagrams.onprem.network.Zookeeper**

## onprem.queue

- **diagrams.onprem.queue.Activemq**, **ActiveMQ** (alias)
- **diagrams.onprem.queue.Celery**
- **diagrams.onprem.queue.Kafka**
- **diagrams.onprem.queue.Rabbitmq**, **RabbitMQ** (alias)
- **diagrams.onprem.queue.Zeromq**, **ZeroMQ** (alias)

## onprem.search

- **diagrams.onprem.search.Solr**

## onprem.security

- **diagrams.onprem.security.Trivy**
- **diagrams.onprem.security.Vault**

## onprem.vcs

- **diagrams.onprem.vcs.Git**
- **diagrams.onprem.vcs.Github**
- **diagrams.onprem.vcs.Gitlab**

## onprem.workflow

- **diagrams.onprem.workflow.Airflow**
- **diagrams.onprem.workflow.Digdag**
- **diagrams.onprem.workflow.Kubeflow**, **KubeFlow** (alias)
- **diagrams.onprem.workflow.Nifi**, **NiFi** (alias)
